[arch-commits] Commit in wget/repos (6 files)

Allan McRae allan at archlinux.org
Wed Aug 31 12:21:17 UTC 2011


    Date: Wednesday, August 31, 2011 @ 08:21:16
  Author: allan
Revision: 136669

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  wget/repos/testing-i686/
  wget/repos/testing-i686/PKGBUILD
    (from rev 136668, wget/trunk/PKGBUILD)
  wget/repos/testing-i686/wget.install
    (from rev 136668, wget/trunk/wget.install)
  wget/repos/testing-x86_64/
  wget/repos/testing-x86_64/PKGBUILD
    (from rev 136668, wget/trunk/PKGBUILD)
  wget/repos/testing-x86_64/wget.install
    (from rev 136668, wget/trunk/wget.install)

-----------------------------+
 testing-i686/PKGBUILD       |   45 ++++++++++++++++++++++++++++++++++++++++++
 testing-i686/wget.install   |   20 ++++++++++++++++++
 testing-x86_64/PKGBUILD     |   45 ++++++++++++++++++++++++++++++++++++++++++
 testing-x86_64/wget.install |   20 ++++++++++++++++++
 4 files changed, 130 insertions(+)

Copied: wget/repos/testing-i686/PKGBUILD (from rev 136668, wget/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2011-08-31 12:21:16 UTC (rev 136669)
@@ -0,0 +1,45 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: Judd Vinet <jvinet at zeroflux.org>
+
+pkgname=wget
+pkgver=1.13.3
+pkgrel=1
+pkgdesc="A network utility to retrieve files from the Web"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/wget/wget.html"
+license=('GPL3')
+groups=('base')
+depends=('glibc' 'openssl')
+optdepends=('ca-certificates: HTTPS downloads')
+backup=('etc/wgetrc')
+install=wget.install
+source=(ftp://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.xz)
+md5sums=('540cbd50909885fe11bd7bc4f75268d1')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  # Note : We do not build with --enable-nls, because there is a bug in wget causing
+  # international domain names to be not properly converted to punycode if
+  # the current locale is a UTF-8 one
+  # See : http://lists.gnu.org/archive/html/bug-wget/2011-02/msg00026.html
+
+  ./configure -with-ssl=openssl --prefix=/usr --sysconfdir=/etc
+  make
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+
+  cat >> "$pkgdir/etc/wgetrc" <<EOF
+
+# default root certs location
+ca_certificate=/etc/ssl/certs/ca-certificates.crt
+EOF
+
+  # remove IRI option from wgetrc as it does not work (see above)
+  sed -i '118,120d' $pkgdir/etc/wgetrc
+
+}

Copied: wget/repos/testing-i686/wget.install (from rev 136668, wget/trunk/wget.install)
===================================================================
--- testing-i686/wget.install	                        (rev 0)
+++ testing-i686/wget.install	2011-08-31 12:21:16 UTC (rev 136669)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(wget.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}

Copied: wget/repos/testing-x86_64/PKGBUILD (from rev 136668, wget/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2011-08-31 12:21:16 UTC (rev 136669)
@@ -0,0 +1,45 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: Judd Vinet <jvinet at zeroflux.org>
+
+pkgname=wget
+pkgver=1.13.3
+pkgrel=1
+pkgdesc="A network utility to retrieve files from the Web"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/wget/wget.html"
+license=('GPL3')
+groups=('base')
+depends=('glibc' 'openssl')
+optdepends=('ca-certificates: HTTPS downloads')
+backup=('etc/wgetrc')
+install=wget.install
+source=(ftp://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.xz)
+md5sums=('540cbd50909885fe11bd7bc4f75268d1')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  # Note : We do not build with --enable-nls, because there is a bug in wget causing
+  # international domain names to be not properly converted to punycode if
+  # the current locale is a UTF-8 one
+  # See : http://lists.gnu.org/archive/html/bug-wget/2011-02/msg00026.html
+
+  ./configure -with-ssl=openssl --prefix=/usr --sysconfdir=/etc
+  make
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+
+  cat >> "$pkgdir/etc/wgetrc" <<EOF
+
+# default root certs location
+ca_certificate=/etc/ssl/certs/ca-certificates.crt
+EOF
+
+  # remove IRI option from wgetrc as it does not work (see above)
+  sed -i '118,120d' $pkgdir/etc/wgetrc
+
+}

Copied: wget/repos/testing-x86_64/wget.install (from rev 136668, wget/trunk/wget.install)
===================================================================
--- testing-x86_64/wget.install	                        (rev 0)
+++ testing-x86_64/wget.install	2011-08-31 12:21:16 UTC (rev 136669)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(wget.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}




More information about the arch-commits mailing list